| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Fields
OutputFilter Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
AVFilterContext * | filter
struct OutputStream * | ost
struct FilterGraph * | graph
uint8_t * | name
AVFilterInOut * | out_tmp
enum AVMediaType | type
int | width
int | height
AVRational | frame_rate
int | format
int | sample_rate
AVChannelLayout | ch_layout
const int * | formats
const AVChannelLayout * | ch_layouts
const int * | sample_rates

## Detailed Description

Definition at line 344 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ ch_layout

AVChannelLayout OutputFilter::ch_layout

Definition at line 359 of file fftools_ffmpeg.h.

## ◆ ch_layouts

const AVChannelLayout* OutputFilter::ch_layouts

Definition at line 364 of file fftools_ffmpeg.h.

## ◆ filter

AVFilterContext* OutputFilter::filter

Definition at line 345 of file fftools_ffmpeg.h.

## ◆ format

int OutputFilter::format

Definition at line 357 of file fftools_ffmpeg.h.

## ◆ formats

const int* OutputFilter::formats

Definition at line 363 of file fftools_ffmpeg.h.

## ◆ frame_rate

AVRational OutputFilter::frame_rate

Definition at line 356 of file fftools_ffmpeg.h.

## ◆ graph

struct FilterGraph* OutputFilter::graph

Definition at line 347 of file fftools_ffmpeg.h.

## ◆ height

int OutputFilter::height

Definition at line 355 of file fftools_ffmpeg.h.

## ◆ name

uint8_t* OutputFilter::name

Definition at line 348 of file fftools_ffmpeg.h.

## ◆ ost

struct OutputStream* OutputFilter::ost

Definition at line 346 of file fftools_ffmpeg.h.

## ◆ out_tmp

AVFilterInOut* OutputFilter::out_tmp

Definition at line 351 of file fftools_ffmpeg.h.

## ◆ sample_rate

int OutputFilter::sample_rate

Definition at line 358 of file fftools_ffmpeg.h.

## ◆ sample_rates

const int* OutputFilter::sample_rates

Definition at line 365 of file fftools_ffmpeg.h.

## ◆ type

enum AVMediaType OutputFilter::type

Definition at line 352 of file fftools_ffmpeg.h.

## ◆ width

int OutputFilter::width

Definition at line 355 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h